Package org.springframework.security.web.webauthn.api

# Class PublicKeyCredentialRequestOptions

java.lang.Object
org.springframework.security.web.webauthn.api.PublicKeyCredentialRequestOptions

All Implemented Interfaces:
  `Serializable`

public final class PublicKeyCredentialRequestOptions extends Object implements Serializable
PublicKeyCredentialRequestOptions contains the information to create an assertion used for authentication.

Since:
  6.4
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`
Used to build a `PublicKeyCredentialCreationOptions`.

## Method Summary

Modifier and Type
Method
Description
`static PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`
`builder()`
Creates a `PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`
`List<PublicKeyCredentialDescriptor>`
`getAllowCredentials()`
The allowCredentials property is an OPTIONAL member is used by the client to find authenticators eligible for this authentication ceremony.
`Bytes`
`getChallenge()`
The challenge property specifies a challenge that the authenticator signs, along with other data, when producing an authentication assertion.
`AuthenticationExtensionsClientInputs`
`getExtensions()`
The extensions is an OPTIONAL property used by the Relying Party to provide client extension inputs requesting additional processing by the client and authenticator.
`String`
`getRpId()`
The rpId is an OPTIONAL member specifies the RP ID claimed by the Relying Party.
`Duration`
`getTimeout()`
The timeout property is an OPTIONAL member specifies a time, in milliseconds, that the Relying Party is willing to wait for the call to complete.
`UserVerificationRequirement`
`getUserVerification()`
The userVerification property is an OPTIONAL member specifies the Relying Party's requirements regarding user verification for the get() operation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getChallenge

public Bytes getChallenge()
The challenge property specifies a challenge that the authenticator signs, along with other data, when producing an authentication assertion.

Returns:
  the challenge

### getTimeout

public Duration getTimeout()
The timeout property is an OPTIONAL member specifies a time, in milliseconds, that the Relying Party is willing to wait for the call to complete.

Returns:
  the timeout

### getRpId

public String getRpId()
The rpId is an OPTIONAL member specifies the RP ID claimed by the Relying Party. The client MUST verify that the Relying Party's origin matches the scope of this RP ID.

Returns:
  the relying party id

### getAllowCredentials

public List<PublicKeyCredentialDescriptor> getAllowCredentials()
The allowCredentials property is an OPTIONAL member is used by the client to find authenticators eligible for this authentication ceremony.

Returns:
  the allowCredentials property

### getUserVerification

public UserVerificationRequirement getUserVerification()
The userVerification property is an OPTIONAL member specifies the Relying Party's requirements regarding user verification for the get() operation.

Returns:
  the user verification

### getExtensions

public AuthenticationExtensionsClientInputs getExtensions()
The extensions is an OPTIONAL property used by the Relying Party to provide client extension inputs requesting additional processing by the client and authenticator.

Returns:
  the extensions

### builder

public static PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder builder()
Creates a `PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`

Returns:
  the `PublicKeyCredentialRequestOptions.PublicKeyCredentialRequestOptionsBuilder`